Subject: bug#26908: Fwd: Trimming strings, /emacs/lisp/emacs-lisp/subr-x.el modification

From: Jean-Christophe Helary <[email-masked]>
Date: Wed, 17 May 2017 07:21:19 +0900

Nobody is interested in checking/commiting that ? If it's something I should not have touched in the first place, please somebody tell me to drop it...

Jean-Christophe

> On May 13, 2017, at 22:36, Jean-Christophe Helary <[email-masked]> wrote:
> 
> Since nobody reacted in the last 3 days, I guess that means there is nothing to change, so I'm sending the patch here.
> 
> Jean-Christophe 
> 
>> Begin forwarded message:
>> 
>> From: Jean-Christophe Helary <[email-masked] <mailto:[email-masked]>>
>> Subject: Re: Trimming strings, /emacs/lisp/emacs-lisp/subr-x.el modification
>> Date: May 10, 2017 23:26:04 GMT+9
>> To: Emacs developers <[email-masked] <mailto:[email-masked]>>
>> 
>> Hopefully last fixes.
>> 
>> I've added the \\(?: ... \\) parens to make sure we capture any potential issue with \|.
>> 
>> Is there anything else I've missed ?
>> 
>> Jean-Christophe 
>> 
>> 
>> ===========================
>> Add optional regexps for subr-x.el trimming functions
>> 
>> * lisp/emacs-lisp/subr-x.el (string-trim-left, string-trim-right, string-trim): add optional regexps that default on the original behavior.
>> ===========================
>> 
>> 
> <subr-x.el.diff>
>>